stages:
  - check
  - trigger

checkForChanges:
  stage: check
  image: docker:stable
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375/
    DOCKER_DRIVER: overlay2
  before_script:
    - docker info
  script:
    - ./check-base.sh
  artifacts:
    paths:
      - shouldUpdate
  rules:
    - if: $MY_BASE_IMAGE && $MY_IMAGE && $MY_REPO_URL && $MY_REPO_REF && $MY_REPO_TOKEN

trigger:
  stage: trigger
  image: curlimages/curl:latest
  script:
    - ./trigger.sh
  needs:
    - checkForChanges
  rules:
    - if: $MY_BASE_IMAGE && $MY_IMAGE && $MY_REPO_URL && $MY_REPO_REF && $MY_REPO_TOKEN
